import 'reflect-metadata';
import { AbstractJsonConverter } from './json-converter';
import { ClassMappingOptions } from './mapping-options';
export declare const JSON_OBJECT = "jtsm_json_object";
export declare const CUSTOM_CONVERTER = "jtsm_custom_converter";
export declare const MAPPING_OPTIONS = "jtsm_mapping_options";
export declare const MAPPING_OPTIONS_OPTIONAL = "jtsm_mapping_optional";
export declare const MAPPING_OPTIONS_NOTNULL = "jtsm_mapping_not_null";
export declare const MAPPING_OPTIONS_MAPPER = "jtsm_mapping_mapper";
export declare function JsonConverter(target: any): void;
export declare function JsonObject(target: any): void;
export declare function JsonObjectOptions(options: ClassMappingOptions): (target: any) => void;
export declare function JsonProperty(jsonPropertyName: string, expectedType: {
    new (): {};
} | {
    new (): {};
}[]): (target: any, classPropertyName: string) => void;
export declare function Optional(target: any, classPropertyName: string): void;
export declare function NotNull(target: any, classPropertyName: string): void;
export declare function CustomConverter<T extends AbstractJsonConverter<any, any>>(customMapper: new () => T): (target: any, classPropertyName: string) => void;
