import { AbstractJsonConverter } from './json-converter';
export declare class MappingOptions {
    className: string;
    classPropertyName: string;
    jsonPropertyName: string;
    isArray: boolean;
    expectedJsonType: new () => {};
    isOptional: boolean;
    customMapper: new () => AbstractJsonConverter<any, any>;
    notNull: boolean;
    overrideInitValue: boolean;
    constructor(className: string, classPropertyName: string, jsonPropertyName: string, isArray?: boolean, expectedJsonType?: new () => {}, isOptional?: boolean, customMapper?: new () => AbstractJsonConverter<any, any>, notNull?: boolean, overrideInitValue?: boolean);
}
export interface ClassMappingOptions {
    overrideInitValues: boolean;
}
